package com.br.fechadura.mobile

import android.annotation.SuppressLint
import android.os.Bundle
import androidx.activity.ComponentActivity
import androidx.activity.compose.setContent
import androidx.compose.foundation.layout.fillMaxSize
import androidx.compose.material3.MaterialTheme
import androidx.compose.material3.Surface
import androidx.compose.runtime.Composable
import androidx.compose.ui.Modifier
import androidx.core.splashscreen.SplashScreen.Companion.installSplashScreen
import com.br.fechadura.mobile.ui.components.BottomBarNavigation
import com.br.fechadura.mobile.ui.theme.FechaduraMobileTheme

class MainActivity : ComponentActivity() {
    @SuppressLint("SuspiciousIndentation")
    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        installSplashScreen()
        setContent {
            FechaduraMobileTheme {
                Surface(
                    modifier = Modifier.fillMaxSize(),
                    color = MaterialTheme.colorScheme.background
                ) {
                    App()
                }
            }
        }
    }
}

@Composable
fun App() {
    BottomBarNavigation()
}

//@Composable
//fun Navigation() {
//    val navController = rememberNavController()
//    NavHost(navController = navController, startDestination = "carregamento") {
//        composable("carregamento") { CarregamentoScreen(navController) }
//        composable("login") { LoginScreen(navController)}
//        composable("inicio") { InicioScreen(navController) }
//        composable("perfil") { PerfilScreen(navController) }
//        composable("usuario") { UsuarioScreen(navController) }
//        composable("porta") { PortaScreen(navController) }
//        composable("grupo-usuario") { GrupoUsuarioScreen(navController) }
//        composable("grupo-porta") { GrupoPortaScreen(navController) }
//
//        composable("cadastrar-usuario") { CadastrarUsuario(navController)}
//        composable("editar-usuario") { EditarUsuario(navController) }
//
//        composable("cadastrar-grupo-usuario"){ CadastrarGrupoUsuario(navController)}
//
//        composable("cadastrar-porta"){ CadastrarPorta(navController) }
//        composable("visualizar-porta"){ VisualizarPorta(navController) }
//        composable("editar-porta"){ EditarPorta(navController) }
//
//        composable("cadastrar-grupo-porta"){ CadastrarGrupoPorta(navController) }
//    }
//}
