package com.br.fechadura.mobile.ui.components.Porta
import androidx.compose.foundation.layout.Column
import androidx.compose.foundation.layout.fillMaxWidth
import androidx.compose.foundation.layout.padding
import androidx.compose.material3.Button
import androidx.compose.material3.ButtonDefaults
import androidx.compose.material3.ButtonDefaults.buttonColors
import androidx.compose.material3.ExperimentalMaterial3Api
import androidx.compose.material3.MaterialTheme
import androidx.compose.material3.MaterialTheme.colorScheme
import androidx.compose.material3.Text
import androidx.compose.material3.rememberModalBottomSheetState
import androidx.compose.runtime.Composable
import androidx.compose.runtime.getValue
import androidx.compose.runtime.mutableStateOf
import androidx.compose.runtime.remember
import androidx.compose.runtime.rememberCoroutineScope
import androidx.compose.runtime.setValue
import androidx.compose.ui.Modifier
import androidx.compose.ui.tooling.preview.Preview
import androidx.compose.ui.unit.dp
import com.br.fechadura.mobile.ui.theme.FechaduraColor
import com.br.fechadura.mobile.ui.theme.botao
import kotlinx.coroutines.launch
import androidx.compose.material3.ModalBottomSheet as ModalBottomSheet1

@OptIn(ExperimentalMaterial3Api::class)
@Preview
@Composable
fun BottomSheet() {
    val sheetState = rememberModalBottomSheetState()
    val scope = rememberCoroutineScope()
    var showBottomSheet by remember { mutableStateOf(false) }

    Column {
        Button(
            onClick = { showBottomSheet = true},
            colors = ButtonDefaults.buttonColors(containerColor = botao),

            modifier = Modifier
                .padding(16.dp)
                .fillMaxWidth(),

        ) {
        Text(text = "Selecionar ambiente")
    }
    }
    if (showBottomSheet) {
        ModalBottomSheet1(
            onDismissRequest = {
                showBottomSheet = false
            },
            sheetState = sheetState
        ) {
            Button(onClick = {
                scope.launch { sheetState.hide() }.invokeOnCompletion {
                    if (!sheetState.isVisible) {
                        showBottomSheet = false
                    }
                }


            },
            colors = ButtonDefaults.buttonColors(containerColor = FechaduraColor)) {
            Text("Ocultar")
        }
        }
    }
}
