package com.br.fechadura.mobile.ui.components.grupoUsuario

import androidx.compose.foundation.layout.Arrangement
import androidx.compose.foundation.layout.Row
import androidx.compose.foundation.layout.padding
import androidx.compose.foundation.layout.size
import androidx.compose.material.icons.Icons
import androidx.compose.material.icons.filled.*
import androidx.compose.material3.Icon
import androidx.compose.material3.Switch
import androidx.compose.material3.SwitchDefaults
import androidx.compose.runtime.Composable
import androidx.compose.runtime.getValue
import androidx.compose.runtime.mutableStateOf
import androidx.compose.runtime.remember
import androidx.compose.runtime.setValue
import androidx.compose.ui.Modifier
import androidx.compose.ui.graphics.Color
import androidx.compose.ui.tooling.preview.Preview
import androidx.compose.ui.unit.dp


@Preview
@Composable
fun SwitchBotao() {
    var checked by remember { mutableStateOf(true) }

    Row(
        modifier = Modifier.padding(0.dp, 10.dp, 300.dp),
        horizontalArrangement = Arrangement.Start
    ) {
        Switch(
            checked = checked,
            onCheckedChange = {checked = it},
            colors = SwitchDefaults.colors(
                checkedThumbColor = Color.White,
                checkedTrackColor = Color(0xFF8AC28A),
                uncheckedThumbColor = Color.White,
                uncheckedTrackColor = Color.Gray,



            ),
            thumbContent = if (checked) {
                {
                    Icon(
                        imageVector = Icons.Filled.Check,
                        contentDescription = null,
                        modifier = Modifier.size(SwitchDefaults.IconSize),
                        tint = Color.Black


                    )
                }
            } else {
                null
            }

        )
    }
}