package com.br.fechadura.mobile.ui.screens

import androidx.compose.foundation.Image
import androidx.compose.foundation.clickable
import androidx.compose.foundation.layout.*
import androidx.compose.material3.Button
import androidx.compose.material3.ButtonDefaults
import androidx.compose.material3.MaterialTheme
import androidx.compose.material3.Surface
import androidx.compose.material3.Text
import androidx.compose.runtime.*
import androidx.compose.ui.Alignment
import androidx.compose.ui.Modifier
import androidx.compose.ui.graphics.Color
import androidx.compose.ui.res.painterResource
import androidx.compose.ui.tooling.preview.Preview
import androidx.compose.ui.unit.dp
import androidx.compose.ui.unit.sp
import androidx.navigation.NavController
import androidx.navigation.compose.rememberNavController
import com.br.fechadura.mobile.R
import kotlinx.coroutines.delay

@Composable
fun CarregamentoScreen(navController: NavController) {
    var showLogin by remember { mutableStateOf(false) }

    LaunchedEffect(Unit) {
        delay(3000L) // 3 segundos de delay
        showLogin = true
        navController.navigate("login")
    }

    Surface(
        modifier = Modifier.fillMaxSize(),
        color = Color.White
    ) {
        Column(
            modifier = Modifier
                .clickable { navController.navigate("login")}
                .fillMaxSize(),
            verticalArrangement = Arrangement.Center,
            horizontalAlignment = Alignment.CenterHorizontally
        ) {
            Spacer(modifier = Modifier.height(130.dp))
            Image(
                painter = painterResource(id = R.drawable.fechadura_logo),
                contentDescription = null,
                modifier = Modifier
                    .padding(bottom = 24.dp)
                    .size(350.dp)
            )
            Spacer(modifier = Modifier.height(40.dp))
        }
    }
}

@Preview(showSystemUi = true)
@Composable
private fun Sean() {
    CarregamentoScreen(navController = rememberNavController())
}