package com.br.fechadura.mobile.ui.screens

import androidx.compose.foundation.Image
import androidx.compose.foundation.layout.*
import androidx.compose.material3.*
import androidx.compose.runtime.Composable
import androidx.compose.ui.Alignment
import androidx.compose.ui.Modifier
import androidx.compose.ui.res.painterResource
import androidx.compose.ui.tooling.preview.Preview
import androidx.compose.ui.unit.dp
import androidx.navigation.NavController
import androidx.navigation.compose.rememberNavController
import com.br.fechadura.mobile.R
import com.br.fechadura.mobile.ui.components.TopAppBar
import com.br.fechadura.mobile.ui.components.BottomAppBar

@Composable
fun InicioScreen(navController: NavController) {
    Scaffold(
        topBar = {
            TopAppBar(
                navController = navController,
                title = "Início",
                searchText = "",
                showSearchIcon = false,
                onSearchChange = { },
                showBackButton = false
            )
        },

    ) { innerPadding ->
        Box(
            modifier = Modifier
                .fillMaxSize()
                .padding(innerPadding)
        ) {
            Column(
                modifier = Modifier.fillMaxSize() ,
                verticalArrangement = Arrangement.SpaceBetween ,
                horizontalAlignment = Alignment.CenterHorizontally
            ) {
                Column(
                    horizontalAlignment = Alignment.CenterHorizontally ,
                    modifier = Modifier.padding(start = 16.dp , top = 16.dp)
                ) {
                    Text(text = "Bem-vindo!")
                }

                Image(
                    painter = painterResource(id = R.drawable.fechadura_logo) ,
                    contentDescription = null ,
                    modifier = Modifier
                        .padding(bottom = 24.dp)
                        .size(260.dp)
                )

                Spacer(modifier = Modifier.height(56.dp))
            }
        }
    }
}
@Composable
@Preview
private fun InicioScreenPreview(){
    InicioScreen(navController = rememberNavController())
}