package com.br.fechadura.mobile.viewModel

import android.app.Application
import androidx.compose.runtime.State
import androidx.compose.runtime.mutableStateOf
import androidx.lifecycle.AndroidViewModel
import androidx.lifecycle.viewModelScope
import com.br.fechadura.mobile.api.response.GrupoUsuarioResponseBody
import com.br.fechadura.mobile.api.response.GrupoUsuariosResponseBody
import com.br.vini.compose.api.ApiRepository
import com.br.vini.compose.api.ApiState
import kotlinx.coroutines.launch

class GrupoUsuariosViewModel(
    private val application: Application
) : AndroidViewModel(application) {
    private val apiRepository = ApiRepository()

    private val _grupoUsuariosResponseBody = mutableStateOf<ApiState<GrupoUsuariosResponseBody>>(ApiState.Created())
    val grupoUsuariosResponseBody: State<ApiState<GrupoUsuariosResponseBody>> = _grupoUsuariosResponseBody

    fun getGrupoUsuarios() {
        viewModelScope.launch {
            _grupoUsuariosResponseBody.value = ApiState.Loading()
            _grupoUsuariosResponseBody.value = apiRepository.getGrupoUsuarios()
        }
    }

    private val _grupoUsuarioResponse = mutableStateOf<ApiState<GrupoUsuarioResponseBody>>(ApiState.Created())
    val grupoUsuarioResponse: State<ApiState<GrupoUsuarioResponseBody>> = _grupoUsuarioResponse

    fun getGrupoUsuarioById(id: String) {
        viewModelScope.launch {
            _grupoUsuarioResponse.value = ApiState.Loading()
            _grupoUsuarioResponse.value = apiRepository.getGrupoUsuarioById(id)
        }
    }
}
