package com.br.fechadura.mobile.viewModel


import android.app.Application
import androidx.compose.runtime.State
import androidx.compose.runtime.mutableStateOf
import androidx.lifecycle.AndroidViewModel
import androidx.lifecycle.viewModelScope
import com.br.fechadura.mobile.api.response.UsuarioResponseBody
import com.br.fechadura.mobile.api.response.UsuariosResponseBody
import com.br.vini.compose.api.ApiRepository
import com.br.vini.compose.api.ApiState
import kotlinx.coroutines.launch

class UsuariosViewModel(
    private val application: Application
) : AndroidViewModel(application) {
    private val apiRepository = ApiRepository()

    private val _usuariosResponseBody = mutableStateOf<ApiState<UsuariosResponseBody>>(ApiState.Created())
    val usuariosResponseBody: State<ApiState<UsuariosResponseBody>> = _usuariosResponseBody

    fun getUsuarios() {
        viewModelScope.launch {
            _usuariosResponseBody.value = ApiState.Loading()
            _usuariosResponseBody.value = apiRepository.getUsuarios()

        }
    }

    private val _usuarioResponse = mutableStateOf<ApiState<UsuarioResponseBody>>(ApiState.Created())
    val usuarioResponse: State<ApiState<UsuarioResponseBody>> = _usuarioResponse

    fun getUsuarioById(id: String) {
        viewModelScope.launch {
            _usuarioResponse.value = ApiState.Loading()
            _usuarioResponse.value = apiRepository.getUsuarioById(id)

        }
    }
}